﻿using IdentityServer.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace IdentityServer.Domain.Data.EntityTypeConfiguration
{
    class UserTokenConfiguration : IEntityTypeConfiguration<UserToken>
    {
        public void Configure(EntityTypeBuilder<UserToken> builder)
        {
            builder.ToTable("UserToken").HasKey(z => z.TokenId);
            builder.Property(z => z.TokenId).ValueGeneratedOnAdd();
        }
    }
}
