# Identity Server

This project represents a simple identity server implementation focused strictly on the needs of my home lab.
At the moment it has a simple API consisting of only two methods:
* ```/identity/authenticate``` - takes care of authenticating a user based on credentials and generates an access token.
* ```/identity/authorize``` - deals with the authorization of a token (verifies its existence, validity, authenticity, etc)

## Stack
* .NET (C#)
* EntityFramework
* SQL Server
* Swagger
* Docker
* Shell
